/* Description: Master CSS file */

/*****************************************
Table Of Contents:

- General Styles
- Navigation
- Header
- Statement
- Details 1
- Details Lightbox
- Details 2
- Features
- About
- Statistics
- Invitation
- Contact
- Footer
- Copyright
- Back To Top Button 
- Extra Pages
- Media Queries
******************************************/

/*****************************************
Colors:
- Backgrounds, headings text - navy blue #2F4F4F
- Backgrounds - light gray #f2f3fd
- Buttons, icons - blue #F8C806
- Body text - dark gray #6b747b
******************************************/


/**************************/
/*     General Styles     */
/**************************/
body,
html {
    width: 100%;
    height: 100%;
}

body,
p {
    color: #6b747b;
    font: 400 1rem/1.625rem "Open Sans", sans-serif;
}

h1 {
    color: #333333;
    font: 600 2.5rem/3.25rem "Poppins", sans-serif;
}

h2 {
    color: #2F4F4F;
    font: 600 2.125rem/2.75rem "Poppins", sans-serif;
}

h3 {
    color: #2F4F4F;
    font: 600 1.75rem/2.375rem "Poppins", sans-serif;
}

h4 {
    color: #2F4F4F;
    font: 600 1.5rem/2.125rem "Poppins", sans-serif;
}

h5 {
    color: #333333;
    font: 600 1.25rem/1.75rem "Poppins", sans-serif;
}

h6 {
    color: #333333;
    font: 600 1rem/1.5rem "Poppins", sans-serif;
}

.p-large {
    font-size: 1.125rem;
    line-height: 1.75rem;
}

.p-small {
    font-size: 0.875rem;
    line-height: 1.5rem;
}

.testimonial-text {
    font-style: italic;
}

.testimonial-author {
    font: 500 1rem/1.5rem "Poppins", sans-serif;
}

.li-space-lg li {
    margin-bottom: 0.5rem;
}

a {
    color: #6b747b;
    text-decoration: underline;
}

a:hover {
    color: #6b747b;
    text-decoration: underline;
}

.no-line {
    text-decoration: none;
}

.no-line:hover {
    text-decoration: none;
}

.blue {
    color: #F8C806;
}

.bg-gray {
    background-color: #f2f3fd;
}

.frame-decoration {
    width: 100%;
    height: 44px;
}

.heading-decoration {
    display: block;
    width: 5.75rem;
    height: 0.75rem;
    margin-right: auto;
    margin-left: auto;
}

.btn-solid-reg {
    display: inline-block;
    padding: 1.375rem 2.25rem 1.375rem 2.25rem;
    border: 1px solid #F8C806;
    border-radius: 32px;
    background-color: #F8C806;
    color: #ffffff;
    font-weight: 600;
    font-size: 0.875rem;
    line-height: 0;
    text-decoration: none;
    transition: all 0.2s;
}

.btn-solid-reg:hover {
    border: 1px solid #F8C806;
    background-color: transparent;
    color: #F8C806;
    text-decoration: none;
}

.btn-solid-lg {
    display: inline-block;
    margin: 6px;
    padding: 1.5rem 2.5rem 1.5rem 2.5rem;
    border: 1px solid #F8C806;
    border-radius: 32px;
    background-color: #F8C806;
    color: #ffffff;
    font-weight: 600;
    font-size: 0.875rem;
    line-height: 0;
    text-decoration: none;
    transition: all 0.2s;
}

.btn-solid-lg:hover {
    border: 1px solid #F8C806;
    background-color: transparent;
    color: #F8C806;
    text-decoration: none;
}

.btn-outline-reg {
    display: inline-block;
    padding: 1.375rem 2.25rem 1.375rem 2.25rem;
    border: 1px solid #ed832b;
    border-radius: 32px;
    background-color: transparent;
    color: #ed832b;
    font-weight: 600;
    font-size: 0.875rem;
    line-height: 0;
    text-decoration: none;
    transition: all 0.2s;
}

.btn-outline-reg:hover {
    border: 1px solid #ed832b;
    background-color: #ed832b;
    color: #ffffff;
    text-decoration: none;
}

.btn-outline-lg {
    display: inline-block;
    padding: 1.5rem 2.5rem 1.5rem 2.5rem;
    border: 1px solid #ed832b;
    border-radius: 32px;
    background-color: transparent;
    color: #ed832b;
    font-weight: 600;
    font-size: 0.875rem;
    line-height: 0;
    text-decoration: none;
    transition: all 0.2s;
}

.btn-outline-lg:hover {
    border: 1px solid #ed832b;
    background-color: #ed832b;
    color: #ffffff;
    text-decoration: none;
}

.btn-outline-sm {
    display: inline-block;
    padding: 1rem 1.5rem 1rem 1.5rem;
    border: 1px solid #ed832b;
    border-radius: 32px;
    background-color: transparent;
    color: #ed832b;
    font-weight: 600;
    font-size: 0.875rem;
    line-height: 0;
    text-decoration: none;
    transition: all 0.2s;
}

.btn-outline-sm:hover {
    border: 1px solid #ed832b;
    background-color: #ed832b;
    color: #ffffff;
    text-decoration: none;
}

.form-group {
    position: relative;
    margin-bottom: 1.25rem;
}

.form-group.has-error.has-danger {
    margin-bottom: 0.625rem;
}

.form-group.has-error.has-danger .help-block.with-errors ul {
    margin-top: 0.375rem;
}

.label-control {
    position: absolute;
    top: 0.875rem;
    left: 1.375rem;
    color: #7d838a;
    opacity: 1;
    font-size: 0.875rem;
    line-height: 1.375rem;
    cursor: text;
    transition: all 0.2s ease;
}

.form-control-input:focus + .label-control,
.form-control-input.notEmpty + .label-control,
.form-control-textarea:focus + .label-control,
.form-control-textarea.notEmpty + .label-control {
    top: 0.125rem;
    color: #6b747b;
    opacity: 1;
    font-size: 0.75rem;
    font-weight: 700;
}

.form-control-input,
.form-control-select {
    display: block;
    /* needed for proper display of the label in Firefox, IE, Edge */
    width: 100%;
    padding-top: 1.125rem;
    padding-bottom: 0.125rem;
    padding-left: 1.3125rem;
    border: 1px solid #cbcbd1;
    border-radius: 4px;
    background-color: #ffffff;
    color: #6b747b;
    font-size: 0.875rem;
    line-height: 1.875rem;
    transition: all 0.2s;
    -webkit-appearance: none;
    /* removes inner shadow on form inputs on ios safari */
}

.form-control-select {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    height: 3.25rem;
    color: #7d838a;
}

select {
    /* you should keep these first rules in place to maintain cross-browser behavior */
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
    background-image: url('../images/down-arrow.png');
    background-position: 96% 50%;
    background-repeat: no-repeat;
    outline: none;
}

.form-control-textarea {
    display: block;
    /* used to eliminate a bottom gap difference between Chrome and IE/FF */
    width: 100%;
    height: 14rem;
    /* used instead of html rows to normalize height between Chrome and IE/FF */
    padding-top: 1.5rem;
    padding-left: 1.3125rem;
    border: 1px solid #cbcbd1;
    border-radius: 4px;
    background-color: #ffffff;
    color: #6b747b;
    font-size: 0.875rem;
    line-height: 1.5rem;
    transition: all 0.2s;
}

.form-control-input:focus,
.form-control-select:focus,
.form-control-textarea:focus {
    border: 1px solid #a1a1a1;
    outline: none;
    /* Removes blue border on focus */
}

.form-control-input:hover,
.form-control-select:hover,
.form-control-textarea:hover {
    border: 1px solid #a1a1a1;
}

.checkbox {
    font-size: 0.75rem;
    line-height: 1.25rem;
}

input[type='checkbox'] {
    vertical-align: -10%;
    margin-right: 0.5rem;
}

.form-control-submit-button {
    display: inline-block;
    width: 100%;
    height: 3.25rem;
    border: 1px solid #F8C806;
    border-radius: 32px;
    background-color: #F8C806;
    color: #ffffff;
    font-weight: 600;
    font-size: 0.875rem;
    line-height: 0;
    cursor: pointer;
    transition: all 0.2s;
}

.form-control-submit-button:hover {
    border: 1px solid #F8C806;
    background-color: transparent;
    color: #F8C806;
}

/* Fade-move Animation For Details Lightbox - Magnific Popup */
/* at start */
.my-mfp-slide-bottom .zoom-anim-dialog {
    opacity: 0;
    transition: all 0.2s ease-out;
    -webkit-transform: translateY(-1.25rem) perspective(37.5rem) rotateX(10deg);
    -ms-transform: translateY(-1.25rem) perspective(37.5rem) rotateX(10deg);
    transform: translateY(-1.25rem) perspective(37.5rem) rotateX(10deg);
}

/* animate in */
.my-mfp-slide-bottom.mfp-ready .zoom-anim-dialog {
    opacity: 1;
    -webkit-transform: translateY(0) perspective(37.5rem) rotateX(0);
    -ms-transform: translateY(0) perspective(37.5rem) rotateX(0);
    transform: translateY(0) perspective(37.5rem) rotateX(0);
}

/* animate out */
.my-mfp-slide-bottom.mfp-removing .zoom-anim-dialog {
    opacity: 0;
    -webkit-transform: translateY(-0.625rem) perspective(37.5rem) rotateX(10deg);
    -ms-transform: translateY(-0.625rem) perspective(37.5rem) rotateX(10deg);
    transform: translateY(-0.625rem) perspective(37.5rem) rotateX(10deg);
}

/* dark overlay, start state */
.my-mfp-slide-bottom.mfp-bg {
    opacity: 0;
    transition: opacity 0.2s ease-out;
}

/* animate in */
.my-mfp-slide-bottom.mfp-ready.mfp-bg {
    opacity: 0.8;
}

/* animate out */
.my-mfp-slide-bottom.mfp-removing.mfp-bg {
    opacity: 0;
}

/* end of fade-move animation for details lightbox - magnific popup */


/**********************/
/*     Navigation     */
/**********************/
.navbar {
    background-color: #2F4F4F;
    font-weight: 600;
    font-size: 0.875rem;
    line-height: 0.875rem;
    box-shadow: 0 1px 6px 0 rgba(0, 0, 0, 0.025);
}

.navbar .navbar-brand {
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
}

.navbar .logo-image img {
    width: 320px;
    height: 80px;
}

.navbar .logo-text {
    color: #ffffff;
    font-weight: 600;
    font-size: 2rem;
    line-height: 1rem;
    text-decoration: none;
}

.offcanvas-collapse {
    position: fixed;
    top: 3rem;
    /* adjusts the height between the top of the page and the offcanvas menu */
    bottom: 0;
    left: 100%;
    width: 100%;
    padding-right: 1rem;
    padding-left: 1rem;
    overflow-y: auto;
    visibility: hidden;
    background-color: #2F4F4F;
    transition: visibility .3s ease-in-out, -webkit-transform .3s ease-in-out;
    transition: transform .3s ease-in-out, visibility .3s ease-in-out;
    transition: transform .3s ease-in-out, visibility .3s ease-in-out, -webkit-transform .3s ease-in-out;
}

.offcanvas-collapse.open {
    visibility: visible;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
}

.navbar .navbar-nav {
    margin-top: 0.75rem;
    margin-bottom: 0.5rem;
}

.navbar .nav-item .nav-link {
    padding-top: 0.625rem;
    padding-bottom: 0.625rem;
    color: #c5c3f0;
    text-decoration: none;
    transition: all 0.2s ease;
}

.navbar .nav-item.dropdown.show .nav-link,
.navbar .nav-item .nav-link:hover,
.navbar .nav-item .nav-link.active {
    color: #ffffff;
}

.navbar .social-icons {
    display: block;
}

.navbar .fa-stack {
    width: 2em;
    margin-top: 0.25rem;
    margin-right: 0.25rem;
    font-size: 0.75rem;
}

.navbar .fa-stack-2x {
    color: #F8C806;
    transition: all 0.2s ease;
}

.navbar .fa-stack-1x {
    color: #ffffff;
    transition: all 0.2s ease;
}

.navbar .fa-stack:hover .fa-stack-2x {
    color: #ffffff;
}

.navbar .fa-stack:hover .fa-stack-1x {
    color: #F8C806;
}

.navbar .navbar-toggler {
    padding: 0;
    border: none;
    font-size: 1.25rem;
}


/*****************/
/*    Header     */
/*****************/
.header {
    position: relative;
    overflow: hidden;
    padding-top: 6rem;
    padding-bottom: 17rem;
    background: #2F4F4F;
}

.header .text-container {
    margin-bottom: 4rem;
    text-align: center;
}

.header .h1-large {
    margin-bottom: 1.375rem;
    color: #ffffff;
}

.header .p-large {
    margin-bottom: 2rem;
    color: #ffffff;
}

.header .ocean {
    height: 2%;
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    background: #ffffff;
}

.header .wave {
    background: url('../images/wave.svg') repeat-x;
    position: absolute;
    top: -190px;
    width: 6400px;
    height: 198px;
    animation: wave 7s cubic-bezier(0.36, 0.45, 0.63, 0.53) infinite;
    transform: translate3d(0, 0, 0);
}

.header .wave:nth-of-type(2) {
    top: -170px;
    animation: wave 7s cubic-bezier(0.36, 0.45, 0.63, 0.53) -.125s infinite, swell 7s ease -1.25s infinite;
    opacity: 1;
}

/* Wave Animation */
@keyframes wave {
    0% {
        margin-left: 0;
    }

    100% {
        margin-left: -1600px;
    }
}

@keyframes swell {

    0%,
    100% {
        transform: translate3d(0, -25px, 0);
    }

    50% {
        transform: translate3d(0, 5px, 0);
    }
}

/* end of wave animation */


/*********************/
/*     Statement     */
/*********************/
.basic-1 {
    padding-top: 2rem;
    padding-bottom: 3.75rem;
}

.basic-1 .text-container {
    text-align: center;
}

.basic-1 h3 {
    margin-bottom: 1rem;
}

.basic-1 .p-large {
    margin-bottom: 2.25rem;
}

.basic-1 img {
    width: 110px;
    margin-bottom: 0.75rem;
    border-radius: 50%;
}


/*********************/
/*     Details 1     */
/*********************/
.basic-2 {
    padding-top: 3.75rem;
    padding-bottom: 4.5rem;
}

.basic-2 .image-container {
    margin-bottom: 3.75rem;
}

.basic-2 h2 {
    margin-bottom: 1.25rem;
}

.basic-2 .list-unstyled {
    margin-bottom: 1.625rem;
}

.basic-2 .list-unstyled .fas {
    font-size: 0.375rem;
    line-height: 1.625rem;
}

.basic-2 .list-unstyled .media-body {
    margin-left: 0.5rem;
}





/*********************/
/*     Details 2     */
/*********************/
.basic-3 {
    padding-top: 4.5rem;
    padding-bottom: 4.5rem;
}

.basic-3 h2 {
    margin-bottom: 1.25rem;
}

.basic-3 .text-container {
    margin-bottom: 4rem;
}

.basic-3 .list-unstyled {
    margin-bottom: 1.625rem;
}

.basic-3 .list-unstyled .fas {
    font-size: 0.375rem;
    line-height: 1.625rem;
}

.basic-3 .list-unstyled .media-body {
    margin-left: 0.5rem;
}


/********************/
/*     Features     */
/********************/
.basic-4 {
    padding-top: 4.5rem;
    padding-bottom: 2.5rem;
    background-color: #2F4F4F;
}

.basic-4 .fas {
    margin-bottom: 1.5rem;
    color: #F8C806;
    font-size: 3.25rem;
}

.basic-4 .text-box {
    margin-bottom: 3rem;
    padding: 2.5rem 1rem 1.125rem 1rem;
    border-radius: 10px;
}


/*****************/
/*     About     */
/*****************/
.basic-5 {
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.basic-5 .text-container {
    margin-bottom: 3rem;
}

.basic-5 h2 {
    margin-bottom: 1.25rem;
}

.basic-5 .image-container {
    margin-bottom: 3rem;
}

/*********************/
/*     Customers     */
/*********************/

.container1 {
    margin: 0 auto;
    padding: 0 15px;
}

.flex1 {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.customers {
    padding-top: 9rem;
    padding-bottom: 6.5rem;
    text-align: center;
}

.customers h3 {
    margin-bottom: 2.25rem;
}

.customers .flex1 {
    flex-wrap: wrap;
}

.customers .card {
    margin-right: 2rem;
    margin-bottom: 2.5rem;
    margin-left: 2rem;
}

/*******************/
/*     Contact     */
/*******************/
.contact1 {
    height: 110vh;
    position: relative;
    background: #2F4F4F;

}

.txt {
    text-align: left;
    color: #ffffff;
}

.form-control-input,
.form-control-textarea {
    width: 100%;
    appearance: none;
    border-radius: 4px;
    font-size: 0.875rem;
    line-height: 1.5rem;
    padding-left: 1.5rem;
    padding-top: 0.775rem;
    padding-bottom: 0.775rem;
}

.location {
    background: #2F4F4F;
}

.location .fas,
.far {
    margin-bottom: 1.5rem;
    color: #F8C806;
    font-size: 3.25rem;
}

.ms-2 {
    color: white
}

/******************/
/*     Footer     */
/******************/
.footer {
    padding-top: 5.25rem;
    padding-bottom: 1rem;
    text-align: center;
}

.footer a {
    text-decoration: none;
}

.footer .fa-stack {
    width: 2em;
    margin-bottom: 1.25rem;
    margin-right: 0.375rem;
    font-size: 1.5rem;
}

.footer .fa-stack .fa-stack-1x {
    color: #2F4F4F;
    transition: all 0.2s ease;
}

.footer .fa-stack .fa-stack-2x {
    color: #ffffff;
    transition: all 0.2s ease;
}

.footer .fa-stack:hover .fa-stack-1x {
    color: #ffffff;
}

.footer .fa-stack:hover .fa-stack-2x {
    color: #2F4F4F;
}


/*********************/
/*     Copyright     */
/*********************/
.copyright {
    padding-top: 1rem;
    padding-bottom: 1rem;
    text-align: center;
}

.copyright .p-small {
    color: #92989c;
    text-align: center;
}

.copyright a {
    color: #92989c;
}


/******************************/
/*     Back To Top Button     */
/******************************/
a.back-to-top {
    position: fixed;
    z-index: 999;
    right: 12px;
    bottom: 12px;
    display: none;
    width: 42px;
    height: 42px;
    border-radius: 30px;
    background: #2F4F4F url("../images/up-arrow.png") no-repeat center 47%;
    background-size: 18px 18px;
    text-indent: -9999px;
}

a:hover.back-to-top {
    background-color: #F8C806;
}


/*************************/
/*     Media Queries     */
/*************************/
/* Min-width 768px */
@media (min-width: 768px) {

    /* General Styles */
    .frame-decoration {
        height: 64px;
    }

    /* end of general Styles */


    /* Header */
    .header {
        padding-top: 8rem;
    }

    /* end of header */


    /* Features */
    .basic-4 .text-box {
        padding-right: 2rem;
        padding-left: 2rem;
    }

    /* end of features */


    /* Invitation */
    .basic-6 h4 {
        width: 35rem;
        margin-right: auto;
        margin-left: auto;
    }

    /* end of invitation */
}

/* end of min-width 768px */


/* Min-width 992px */
@media (min-width: 992px) {

    /* General Styles */
    .h1-large {
        font-size: 2.625rem;
        line-height: 3.25rem;
    }

    .h2-heading {
        width: 35.25rem;
        margin-right: auto;
        margin-left: auto;
    }

    .p-heading {
        width: 42.5rem;
        margin-right: auto;
        margin-left: auto;
    }

    .frame-decoration {
        height: 96px;
    }

    /* end of general styles */


    /* Navigation */
    .navbar {
        padding-top: 1.75rem;
        background-color: transparent;
        box-shadow: none;
        transition: all 0.2s;
    }

    .navbar.top-nav-collapse {
        padding-top: 0.625rem;
        padding-bottom: 0.625rem;
        background-color: #2F4F4F;
        box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.025);
    }

    .offcanvas-collapse {
        position: static;
        top: auto;
        bottom: auto;
        left: auto;
        width: auto;
        padding-right: 0;
        padding-left: 0;
        background-color: transparent;
        overflow-y: visible;
        visibility: visible;
    }

    .offcanvas-collapse.open {
        -webkit-transform: none;
        transform: none;
    }

    .navbar .navbar-nav {
        margin-top: 0;
        margin-bottom: 0;
    }

    .navbar .nav-item .nav-link {
        padding-right: 0.75rem;
        padding-left: 0.75rem;
    }

    .navbar .social-icons {
        margin-left: 0.5rem;
    }

    .navbar .fa-stack {
        margin-top: 0;
        margin-right: 0;
        margin-left: 0.25rem;
    }

    /* end of navigation */


    /* Header */
    .header {
        padding-top: 10rem;
        padding-bottom: 19rem;
    }

    .header .text-container {
        margin-bottom: 0;
        text-align: left;
    }

    /* end of header */


    /* Statement */
    .basic-1 .text-container {
        width: 760px;
        margin-right: auto;
        margin-left: auto;
    }

    /* end of statement */


    /* Details 1 */
    .basic-2 .image-container {
        margin-bottom: 0;
    }

    /* end of details 1 */


    /* Details Lightbox */
    .lightbox-basic {
        padding: 3rem 3rem;
    }

    .lightbox-basic .image-container {
        margin-bottom: 0;
        text-align: left;
    }

    /* end of details lightbox */


    /* Details 2 */
    .basic-3 .text-container {
        margin-bottom: 0;
    }

    /* end of details 2 */


    /* About */
    .basic-5 .text-container {
        margin-bottom: 0;
    }

    .basic-5 .image-container {
        margin-bottom: 0;
    }

    /* end of about */


    /* Statistics */
    .counter {
        padding-top: 5rem;
    }

    /* end of statistics */


    /* Invitation */
    .basic-6 .text-container {
        padding-top: 6rem;
        padding-bottom: 6rem;
    }

    .basic-6 h4 {
        width: 600px;
    }

    /* end of invitation */
}

/* end of min-width 992px */


/* Min-width 1200px */
@media (min-width: 1200px) {

    /* General Styles */
    .frame-decoration {
        height: 128px;
    }

    /* end of general styles */


    /* Navigation */
    .navbar .container {
        max-width: 100%;
        padding-right: 1.5rem;
        padding-left: 1.5rem;
    }

    /* end of navigation */


    /* Header */
    .header {
        padding-top: 12rem;
        padding-bottom: 22rem;
    }

    .header .text-container {
        margin-top: 3.625rem;
        margin-right: 2.5rem;
    }

    .header .image-container {
        margin-left: 2.5rem;
    }

    /* end of header */


    /* Statement */
    .basic-1 {
        padding-top: 5rem;
    }

    /* end of statement */


    /* Details 1 */
    .basic-2 .image-container {
        margin-right: 5rem;
    }

    .basic-2 .text-container {
        margin-top: 2.75rem;
    }

    /* end of details 1 */


    /* Details Lightbox */
    .lightbox-basic .image-container {
        margin-right: 1.5rem;
    }

    /* end of details lightbox */


    /* Details 2 */
    .basic-3 .text-container {
        margin-top: 2.75rem;
    }

    .basic-3 .image-container {
        margin-left: 5rem;
    }

    /* end of details 2 */


    /* About */
    .basic-5 .text-container {
        margin-top: 3.5rem;
    }

    .basic-5 .image-container {
        margin-right: 3.5rem;
        margin-left: 2.5rem;
    }

    /* end of about */


    /* Statistics */
    .counter #counter .cell {
        margin-right: 2.375rem;
        margin-left: 2.375rem;
    }

    /* end of statistics */


    /* Contact */
    form {
        width: 860px;
        margin-right: auto;
        margin-left: auto;
    }

    .form-1 .decoration {
        width: 560px;
        bottom: -80px;
        right: -200px;
    }

    /* end of contact */
}

/* end of min-width 1200px */
